-- $Id: Constants.lua 5 2017-06-04 07:40:35Z arith $
-----------------------------------------------------------------------
-- Upvalued Lua API.
-----------------------------------------------------------------------
-- Functions
local _G = getfenv(0)
-- Libraries
-- ----------------------------------------------------------------------------
-- AddOn namespace.
-- ----------------------------------------------------------------------------
local FOLDER_NAME, private = ...
private.addon_name = "WorldMapTunable"

local LibStub = _G.LibStub

local constants = {}
private.constants = constants

constants.defaults = {
	profile = {
		scale = 1.0,
		opacity = 0.2,
		locked = false,
		fade = true,
		point = { "TOPLEFT", "UIParent", "TOPLEFT", 10, 118 },
	},
}

constants.events = {
	"CLOSE_WORLD_MAP",
	"PLAYER_REGEN_DISABLED",
	"PLAYER_REGEN_ENABLED",
}
